import React from 'react';
import { createRoot } from 'react-dom/client';
import './index.css';
import './gin.css'; // Import Gin CSS after index.css for overrides
import App from './App';

// Get the base URL from the data attributes
const container = document.getElementById('jsonapi-explorer-root');
let baseUrl = container.getAttribute('data-base-url');

// If there's no trailing slash, add one
if (baseUrl && !baseUrl.endsWith('/')) {
  baseUrl += '/';
}

const root = createRoot(container);
root.render(
  <React.StrictMode>
    <App baseUrl={baseUrl} />
  </React.StrictMode>
);