#!/bin/bash

# Script to install module dependencies in CI environment

# Exit on error
set -e

echo "Installing module dependencies..."

# Install the module requirements exactly as in composer.json
composer require drupal/jsonapi_schema:"^1.0 || ^2.0" drupal/gin:"^4.0" --no-interaction --no-progress

# Install all dev dependencies exactly as in composer.json
composer require --dev drupal/coder:^8.3 --no-interaction --no-progress
composer require --dev phpunit/phpunit:"^9.5 || ^10.5" --no-interaction --no-progress
composer require --dev mglaman/phpstan-drupal:^1.1 --no-interaction --no-progress
composer require --dev php-parallel-lint/php-parallel-lint:^1.3 --no-interaction --no-progress
composer require --dev behat/mink:^1.12 --no-interaction --no-progress
composer require --dev phpstan/phpstan:^1.8 --no-interaction --no-progress
composer require --dev phpstan/phpstan-deprecation-rules:^1.0 --no-interaction --no-progress
composer require --dev squizlabs/php_codesniffer:"^3.7" --no-interaction --no-progress

echo "Dependencies installed successfully"