#!/bin/bash

# Script to set up module code for CI testing

# Exit on error
set -e

# Expect to be run from the build directory
BUILD_DIR=$(pwd)

# Create module directory in Drupal
mkdir -p web/modules/contrib/jsonapi_query_builder
echo "Copying module files..."

# Copy module files
cp -r ../* web/modules/contrib/jsonapi_query_builder/ 2>/dev/null || true
cp -r ../.git* web/modules/contrib/jsonapi_query_builder/ 2>/dev/null || true

# Remove files that don't belong in the module directory
rm -rf web/modules/contrib/jsonapi_query_builder/build
rm -f web/modules/contrib/jsonapi_query_builder/composer.lock

# Set up Composer plugins
composer config --no-plugins allow-plugins.phpstan/extension-installer true
composer config --no-plugins allow-plugins.dealerdirect/phpcodesniffer-composer-installer true

# Run the dependencies install script
cd web/modules/contrib/jsonapi_query_builder
bash ci-simulation/install-deps.sh

# Return to build directory
cd "$BUILD_DIR"

echo "Module setup completed successfully"