#!/bin/bash

# This script runs tests against an existing Drupal environment
# It expects TEST_URL to be set

# Exit on first error
set -e

# Get absolute path to the module root
MODULE_DIR=$(cd "$(dirname "$0")/.." && pwd)

echo "Running E2E tests against existing environment at $TEST_URL"

# Navigate to React app directory
cd "$MODULE_DIR/js/react-app"

# Run the appropriate test based on headless mode
if [ "$HEADLESS" = "false" ]; then
  echo "Running in interactive mode with visible browser"
  HEADLESS=false yarn test:e2e:interactive
else
  echo "Running in headless mode"
  yarn test:e2e:ci
fi

exit 0